Skip to main content
`Ctrl`+`K`

# DMMoabCreateMoab

Creates a `DMMOAB` object, optionally from an instance and other data

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateMoab(MPI_Comm comm, moab::Interface *mbiface, moab::Tag *ltog_tag, moab::Range *range, DM *dmb)

Collective

## Input Parameters

- comm - The communicator for the `DMMOAB` object

- mbiface - (ptr to) the `DMMOAB` Instance; if passed in `NULL`, MOAB instance is created inside PETSc, and destroyed along with the `DMMOAB`

- ltog_tag - A tag to use to retrieve global id for an entity; if 0, will use GLOBAL_ID_TAG_NAME/tag

- range - If non-`NULL`, contains range of entities to which DOFs will be assigned

## Output Parameter

- dmb - The `DMMOAB` object

## See Also

`DMMOAB`, `DMMoabCreate()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmoab.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages